@import "assets/stylesheets/colors";
@import "assets/stylesheets/typography";
.success-modal-container {
  border-radius: 4px;
  background-color: $secondary-dark;
  width: 363px;
  height: 316px;
  text-align: center;
  padding: 24px !important;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  
  .success-checked-icon {
    align-self: center;
    margin: auto;
    margin-top: 40px;
    width: 156px;
    height: 156px;
    object-fit: contain;
  }

  .title-success-modal {
    text-align: left;
  }
  .sub-title-success-modal {
    color: $secondary-text;
    text-align: left;
    margin-bottom: 16px;
  }

  .description-success-modal {
    overflow-x: auto;
    text-align: left;
    padding: 16px 24px 16px 16px;
    background-color: $primary-dark;
    height: 124px;
    width: 315px;

    .description-setings {
      display: flex;
      > div:first-child {
        white-space: nowrap;
        margin-right: 10px;
      }
    }
  }

  .footer-wrapper-success-modal {
    height: 42px;
    width: 80px;
  }
  .margin-bottom {
    margin-block-end: 10px;
  }

  .amount-settings {
    display: flex;
    > div:first-child {
      white-space: nowrap;
      margin-right: 10px;
    }
    > div:last-child {
      margin-left: 10px;
    }
  }
  .buttton-container{
    margin-top: 32px;
    display: flex;
    justify-content: flex-end;
    > div:last-child {
      margin-left: 8px;
    }
  }
}
